Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class StaticClickableMember

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.PartBuilderDecorator
              com.tonbeller.jpivot.table.SpanBuilderDecorator
                  com.tonbeller.jpivot.table.navi.StaticClickableMember

All Implemented Interfaces:
  PartBuilder, SpanBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class StaticClickableMember

extends SpanBuilderDecorator

wraps a ClickableMemberSupport into a SpanBuilderDecorator, so the clickable member may be attached statically to the table component. Once attached, the clickable will be available independent of the current query.

Since:
  15.12.2004
Author:
  av

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.table.SpanBuilder
`SpanBuilder.SBContext`

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`StaticClickableMember(SpanBuilder delegate, ClickableMember clickable)`

Method Summary
`org.w3c.dom.Element` | `build(SpanBuilder.SBContext sbctx, Span span, boolean even)`
`void` | `destroy(javax.servlet.http.HttpSession session)` destructor, called once after session timeout
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `stopBuild()` called after the DOM has been built.

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`getBookmarkState, isAvailable, setBookmarkState, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`isAvailable`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### StaticClickableMember

    public StaticClickableMember(SpanBuilder delegate,
                                 ClickableMember clickable)

Method Detail

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Overrides:
    `initialize` in class `PartBuilderDecorator`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  destructor, called once after session timeout

  Specified by:
    `destroy` in interface `PartBuilder`
  Overrides:
    `destroy` in class `PartBuilderDecorator`
  Throws:
    `java.lang.Exception`

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderDecorator`

### stopBuild

    public void stopBuild()

  Description copied from interface: `PartBuilder`
  called after the DOM has been built.

  Specified by:
    `stopBuild` in interface `PartBuilder`
  Overrides:
    `stopBuild` in class `PartBuilderDecorator`

### build

    public org.w3c.dom.Element build(SpanBuilder.SBContext sbctx,
                                     Span span,
                                     boolean even)

  Specified by:
    `build` in interface `SpanBuilder`
  Overrides:
    `build` in class `SpanBuilderDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD